# StreamManagementState class

Annotations
  - @immutable

## Constructors

StreamManagementState (int c2s, int s2c, {String? streamResumptionLocation, String? streamResumptionId})
  const

## Properties

c2s → int
  The counter of stanzas sent from the client to the server.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
s2c → int
  The counter of stanzas sent from the server to the client.
  final
streamResumptionId → String?
  If set, the token to allow using stream resumption.
  final
streamResumptionLocation → String?
  If set, the server's preferred location for resumption.
  final

## Methods

copyWith ({Object c2s = _smNotSpecified, Object s2c = _smNotSpecified, Object? streamResumptionLocation = _smNotSpecified, Object? streamResumptionId = _smNotSpecified}) → StreamManagementState
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited